Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.utils
Class AbstractStatsDeque

    java.lang.Object
      org.apache.cassandra.utils.AbstractStatsDeque

All Implemented Interfaces:
  java.lang.Iterable<java.lang.Double>

Direct Known Subclasses:
  BoundedStatsDeque

    public abstract class AbstractStatsDeque

extends java.lang.Object
implements java.lang.Iterable<java.lang.Double>

Constructor Summary
`AbstractStatsDeque()`

Method Summary
`abstract void` | `add(double o)`
`abstract void` | `clear()`
`abstract java.util.Iterator<java.lang.Double>` | `iterator()`
`double` | `mean()`
`abstract int` | `size()`
`double` | `stdev()`
`double` | `sum()`
`double` | `sumOfDeviations()`
`double` | `variance()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractStatsDeque

    public AbstractStatsDeque()

Method Detail

### iterator

    public abstract java.util.Iterator<java.lang.Double> iterator()

  Specified by:
    `iterator` in interface `java.lang.Iterable<java.lang.Double>`

### size

    public abstract int size()

### add

    public abstract void add(double o)

### clear

    public abstract void clear()

### sum

    public double sum()

### sumOfDeviations

    public double sumOfDeviations()

### mean

    public double mean()

### variance

    public double variance()

### stdev

    public double stdev()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 The Apache Software Foundation